ros-kinetic-cob-base-drive-chain (0.7.5-3xenial) xenial; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.7.4-3xenial) xenial; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.7.3-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.7.2-3xenial) xenial; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.7.1-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.7.0-3xenial) xenial; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.15-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.14-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.13-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.12-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.11-3xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.10-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.9-3xenial) xenial; urgency=high

  * Fix/diagnostic rate (#329 <https://github.com/ipa320/cob_driver/issues/329>)
    * Turned down global diagnostic rate to 1Hz
    * Fixed comments
    * Intermediate
    * Fixed
  * manually fix changelog
  * Contributors: ipa-fxm, mig-em

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.8-3xenial) xenial; urgency=high

  * introduced param to set homing velocity
  * Contributors: Benjamin Maidel

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.7-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.6-3xenial) xenial; urgency=high

  * changed drive_chains diag name from //base_controller to /base_controller/base_drive_chain_node
  * Contributors: bnm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.5-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.4-3xenial) xenial; urgency=high

  * install tags for libraries
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.3-3xenial) xenial; urgency=high

  * add_dependencies to generate_messages_cpp
  * use new Trigger from std_srvs
  * changed hardcoded namespace
  * changed wrong ROS output
  * Contributors: Thorsten Kannacher, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.2-3xenial) xenial; urgency=high

  * remove joint_states publisher for simulation - using JointStateController anyway
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.1-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.6.0-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.5.7-3xenial) xenial; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * adding timestamp to diagnostic message
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tags
  * remove deprecated launch files in cob_driver and add nodes to cob_robots
  * Contributors: Alexander Bubeck, Florian Weisshardt, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.5.6-3xenial) xenial; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * adding timestamp to diagnostic message
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tags
  * remove deprecated launch files in cob_driver and add nodes to cob_robots
  * Contributors: Alexander Bubeck, Florian Weisshardt, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.5.3-3xenial) xenial; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.5.2-3xenial) xenial; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-kinetic-cob-base-drive-chain (0.5.1-3xenial) xenial; urgency=high

  * some install tag updates
  * merge with groovy_dev
  * cherry-pick
  * removed a lot of code related to packages not available in hydro anymore
  * bugfix flexible odometry calculation based on number of wheels
  * reverted changes
  * new phidget driver
  * Merge branch 'groovy_dev' of git://github.com/ipa320/cob_driver into groovy_dev
  * fixed build errors for gcc version >= 4.7
  * fix compiler error for quantal
  * Installation stuff
  * cleaned up CMakeLists and added install directives
  * further modifications for catkin, now everything is compiling and linking
  * futher include and linkpath modifications
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * cleanup in base_drive_chain and undercarriage_ctrl
  * cob_undercarriage_ctrl: cleaned and improved ucar_ctrl now working properly on real robot (including recover)
  * cob_base_drive_chain: bugfixed for less than 4 wheels, doing initDrives() in sim-mode later: avoid node crash
  * cob_base_drive_chain: cleaned unused code
  * merge with ipa320
  * added joint name checking
  * added global diagnostic messages to base_drive_chain
  * cob_undercarriage_ctrl: odom in simulation looks great, in reality not
  * cob_undercarriage: cleaned up, odom-improvements tested in simu with navigation
  * merge
  * add header time stamp
  * remove compiler warnings
  * fix base_drive chain
  * moved services to base drive chain
  * base_sim: in simulation, now redirecting base joint infos from /joint_states to base_controller
  * worked on base_drive_chain for sim
  * using arg sim in launch files for base_controller
  * removed debug output
  * worked on base controller for simulation
  * recover and init services return true
  * fix for simulation
  * rearranging cob_camera_sensors launch files
  * cob_base: communication between controller and driver now directly using joint_command and state topics with pr2::JointTrajectoryControllerState msgs
  * modifications for icob and bugfix in base drive chain
  * config for cob3-3
  * Adaptions in base_drive_chain and undercarriage_ctrl for global /joint_states
  * Adapted base_drive_chain to communicate with controller using joint names and not only numbers anymore
  * Merge branch 'master' of https://github.com/ipa-fmw/cob_driver into review-fmw
  * additional undercarriage ctrl in simulation
  * undercarriage_ctrl in simulation
  * added missing file
  * moved GetJointState message ro base_drive_chain
  * changed trigger service
  * cob_base_drive_chain DEBUG. GetJointStates Service replaced through cyclical publishing topic in cob_base_drive_chain
  * cleanup in cob_driver
  * Moved hard-coded lines for head_axis_homing from CanDriveHarmonica.cpp into ElmoCtrl.cpp. Removed debugger in base_drive_chain.launch and undercarriage_ctrl.launch
  * added joint_state_combined to cob_bringup, small device modifications on cob3-1
  * Starting base_drive_chain and undercarriage_ctrl with GDB-debugger
  * Added cob_bringup _nt for ICM ctrl and added shutdown of drives in base_drive_chain to securily stop drives on Ctrl-C
  * restructured base_controller
  * base_drive_chain now can be reverted after EMStop
  * Now also with ElmoRecorderReadout feature low CPU costs in base_drive_chain
  * base_drive_chain: added main loop with evalCanBuffer to enable ElmoRecorderReadout. NEW: evalCanBuffer is only executed, when and until a readout is in process
  * debugged base_drive_chain: removed (empty) while-loop in main of node -> no more comp. power spoiled
  * system cleaned - missing launch files added
  * Modified launch files of cob_base_drive_chain, cob_relayboard, cob_undercaariage_ctrl and cob_teleop_ucar and made them hierarchic
  * merged with cpc-pk: added ctrl for tricycle-kinematic; specification of limit in CanDriveHarmonica can now be specified via Inifile; base_drive_chain can be operated on variable numbers of motors (lesser or equal to eight); variable setting of path to inifile for UndercarriageCtrlGeom; debugged relaysboard - reads Bus now nonblocking
  * Direct Kinematics, publish effort option in base_drive_chain
  * Made interface of undercarriage_ctrl_geom common for cob3 and cob3_5, adapted some launch files
  * Added HomingDigIn in CanCtrl.ini to specify which digital input gives homing signal. It's read out and passed to the CanNode via DriveParam.h
  * Successfully adapted multi-motor support on the level of base_drive_chain
  * Added NumMotors in Platform.ini, read this out in constructors of base_drive_chain and CanCtrlPltfCob3
  * Merged cob_base_drive_chain from cpc-ck for support of a variable number of motors
  * Merged in CanCtrlPltfCob3_5 to according CanCtrlPltfCob3. The new version by cpc-ck allows a variable number of motors.
  * temp commit of only CanCtrlPltfCob3.5 merged
  * update documentation and deleted tf broadcaster
  * Merge branch 'cpc-pk' of mailto:git@github.com:ipa-cpc/care-o-bot into review-cpc-pk
  * Renamed and worked on cob_drive_identification, moved Elmo Recorder services to cob_srvs
  * Started generating a cob_drive_identification package
  * Corrected one mis-merge, successfully built merge.
  * merged in master and manually solved conflicts in base_drive_chain.cpp
  * Replaced some spaces with tabs
  * cleanup in stacks
  * debugging odometry calc
  * merging with cpc
  * Merge branch 'cpc-pk' of mailto:git@github.com:ipa-cpc/care-o-bot into cpc-pk
  * fixed loop error in base_drive_chain
  * Merge branch 'review' into cpc-pk
  * xml description updated
  * Cahnged cob_base_drive_chain -> watchdogs activated again, evalCanBuffer at rate of 50Hz, services continous, a lot Doxygen documentation in all ElmoRecorder related files
  * Deployment of undercarriage controller debugged and finished: launch-script cob_ucar_joy starts up relayboard, base_drive_chain and controller; also remaps topics and services in correct namespaces. Debugging of controller itself is work in progress: simplified and removed old stuff - code compiles - controller runs but appaerently has some bugs -> may not yet be used
  * Merge branch 'review-cpc'
  * services added
  * Interface polishing, added srvs for base_drive_chain
  * Merge branch 'review' into cpc-pk
  * Working ElmoRecorder Eadout, multiple motors, different objects with StatusRegister check
  * Improved interface for Readout control, added readoutRecorderTry using StatusRegister
  * Successfully uploaded Recorder Data, Watchdogs deactivated
  * Successfully uploaded Recorder Data, Watchdogs deactivated
  * Trying to get Readout running. Working system state (with debug outputs)
  * updated simulation files
  * debugging undercarriage drivers (base_drive_chain + relayboard + ucar_ctrl) - work in progress
  * cleanup in cob_driver
  * After merging in review branch
  * Added EvalCanBuffer to main loop of base_drive_chain.
  * Added some testing ElmoRecorder Service in base_drive_chain
  * Introduced a statusFlag in segData instead of FinishedTransmission and locked.
  * Frontend in base_drive_chain added, filenames can be passed now
  * ElmoRecorder: Data readout and processing
  * debugged ucar controller and base drive chain node - still not running
  * added windows.h; some modifications in ElmoCtrl -> not yet working
  * added classes to implement ESD can-itf; incorporated ESD interface as an option in cob_base_drive_chain-node via CanCtrlPltfCOb3; added windows.h to cob_utilities package
  * Updated Can Classes to new file structure; removed some leftovers; corrected comments at the beginning considering association to stacks and packages; moved Mutex.h to Utilities; - Debugged compiler error in cob_base_drive_chain
  * Implemented base controller - cob_undercarriage_ctrl - based on principle of rigid body motion; controller is not yet tested on hardware; moreover, not yet used: parameterserver for initializing controller, urdf-file to associate joints; also removed some bugs from base_drive_chain
  * after merging current review
  * adapt launch file to new packages names
  * moved files
  * renamed to cob_
  * merged master
  * renamed packages to cob_ convention
  * renamed packages to cob_
  * Contributors: Alexander Bubeck, Christian, Christian Connette, Richard Bormann, abubeck, cob, cpc, cpc-pk, ipa-bnm, ipa-cpc, ipa-fmw, ipa-fxm, ipa-srd

 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000


